package dev.pfaff.log4truth.compat.log4j;

import org.apache.logging.log4j.spi.LoggerContext;
import org.apache.logging.log4j.spi.LoggerContextFactory;

import java.net.URI;

public final class Log4JToL4TLoggerContextFactory implements LoggerContextFactory {
	@Override
	public LoggerContext getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext) {
		return Log4JToL4TLoggerContext.INSTANCE;
	}

	@Override
	public LoggerContext getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext, URI configLocation, String name) {
		return null;
	}

	@Override
	public void removeContext(LoggerContext context) {
	}

	@Override
	public void shutdown(String fqcn, ClassLoader loader, boolean currentContext, boolean allContexts) {
	}

	@Override
	public boolean isClassLoaderDependent() {
		return false;
	}
}
